using System;
using System.Text.Json.Serialization;

namespace StellaOps.Feedser.Source.Vndr.Vmware.Internal;

internal sealed record VmwareIndexItem
{
    [JsonPropertyName("id")]
    public string Id { get; init; } = string.Empty;

    [JsonPropertyName("url")]
    public string DetailUrl { get; init; } = string.Empty;

    [JsonPropertyName("modified")]
    public DateTimeOffset? Modified { get; init; }
}
